#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
extern "C" {
    fn malloc(_: libc::c_ulong) -> *mut libc::c_void;
}
pub type __uint8_t = libc::c_uchar;
pub type uint8_t = __uint8_t;
#[no_mangle]
pub unsafe extern "C" fn zero_buffer(mut buf: *mut uint8_t) {}
#[no_mangle]
pub unsafe extern "C" fn set_buffer_one(mut buf: *mut uint8_t) {}
#[no_mangle]
pub unsafe extern "C" fn foo() {
    let mut buf1: *mut uint8_t = malloc(
        (::core::mem::size_of::<uint8_t>() as libc::c_ulong)
            .wrapping_mul(5 as libc::c_int as libc::c_ulong),
    ) as *mut uint8_t;
    let mut buf2: *mut uint8_t = malloc(
        (::core::mem::size_of::<uint8_t>() as libc::c_ulong)
            .wrapping_mul(5 as libc::c_int as libc::c_ulong),
    ) as *mut uint8_t;
    set_buffer_one(buf2);
    zero_buffer(buf1);
}
unsafe fn main_0() -> libc::c_int {
    foo();
    return 0 as libc::c_int;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
